Process Credit Card Purchase
Processes a credit card purchase transaction. Charges the specified amount to the provided credit card and returns transaction details including the PAR Pay transaction ID.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details for purchase transaction
- Type: stringreference
Number min length:1max length:40Pattern: ^[0-9]+$requiredA unique reference number for the transaction.
- Type: object ·transaction
Amount Details required - Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: string · enumchannelvalues
- None
- P
O S - Kiosk
- Type: string | nullinvoice
Number max length:14The invoice number associated with the transaction.
- Type: booleanis
Preferred Indicates whether this saved card should be set as the user's preferred payment method.
- Type: string | nullone
Time Token A temporary, single-use token generated to securely represent the credit card used for the purchase. This token is exchanged for a reusable
paymentMethodTokenthat can be used for future transactions. Required ifpaymentMethodTokenis not provided. - Type: string | nullpayment
Method Token A reusable token generated from a one time token (
oneTimeToken), representing a saved credit card for recurring payments. - Type: string · enumpayment
Source values- Scan
To Pay - Online
- None
- Type: booleansave
Card Gets or sets a value indicating whether the user's card information should be saved for future use.
- Type: string | null Format: date-timetransaction
Date Time Local The transaction date and time in local format.
- Type: string | nulluser
Id The unique identifier of the user in your system for whom the card is being saved. Required when
saveCardis true.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/creditcard/v1/purchase \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"paymentMethodToken": "PAYMENT_TOKEN_GOES_HERE",
"oneTimeToken": "ONETIME_TOKEN_GOES_HERE",
"walletPay": null,
"saveCard": true,
"userId": null,
"isPreferred": false,
"referenceNumber": "258",
"invoiceNumber": 2148,
"transactionDateTimeUTC": "2026-03-06T11:28:29.7008363Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.7",
"transactionAmountDetails": {
"taxAmount": 0,
"discount": 0,
"productTotalAmount": null,
"totalAmount": 10000,
"tip": null
},
"paymentSource": "ScanToPay",
"channel": null
}'
{
"transactionAmount": "1000.00",
"cardNumber": "XXXX-XXXX-XXXX-1111",
"paymentMethodToken": "paymentToken",
"lastFourDigits": "1111",
"cardType": "Visa",
"expireMonth": 10,
"expireYear": 2027,
"cardHolderName": "CARDHOLDER_NAME_GOES_HERE",
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "APPROVAL",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7009419Z",
"status": "Success"
}